<template>
    <b-modal hide-header-close id="editarCarpeta">
        <template v-slot:modal-title>Editar Carpeta</template>
        <template v-slot:default>
            <b-container fluid >
                <b-card 
                   no-nody 
                   class="overflow-hidden" 
                >
                    <b-row no-gutters>
                        <b-col md="12">
                            <b-card-body>
                                <b-row class="row">
                                    <b-col cols="12" md="12">
                                        <b-form-group label="Nombre de la carpeta:">
                                          <b-form-input 
                                          type="text" 
                                          size="sm"
                                          :placeholder="nombre_carpeta"
                                          v-model="nombre"
                                          required> </b-form-input>
                                        </b-form-group>
                                    </b-col>
                                </b-row>
                            </b-card-body>
                        </b-col>
                    </b-row>
                </b-card>
            </b-container>
        </template>
        <template #modal-footer>
            <div class="w-100">
                <b-button 
                @click="updateCarpeta"
                variant="primary" 
                class="float-right ml-2" size="md">
                    <span class="text">Editar</span>
                </b-button>   
            </div>
        </template>
    </b-modal>
</template>

<script>
    export default {
        props: {
            ruta: {
                type: String
            },
            nombre_carpeta: {
                type: String
            },
            id: {
                type: Number
            }   
        },
         data:() => {
            return {
                onLoadForm: false,
                nombre: ''
            }
        },
        methods: {
            async updateCarpeta() {
                var data = {
                    id:this.id,
                    nombre:this.nombre
                }
                const response = await axios.post(this.ruta + '/api/update-carpeta', data);
                this.$utils.showSuccess(response.data['mensaje']);
                this.$emit('carpeta-actualizada')
                this.$root.$emit( "bv::toggle::modal", "editarCarpeta");
            }

        }               
    }
</script>

<style lang="scss">


</style>